pfSense Packages - Bug #7319

Tinc uninstall leaves an entry in the firewall rules tab.
Description
After an uninstall of tinc there's still an entry left in the firewall rules tab.

History

#1 - 02/26/2017 07:01 AM - Kill Bill
https://github.com/pfsense/FreeBSD-ports/pull/317

#2 - 03/07/2017 07:01 AM - Kill Bill
Merged, test with 1.0.28_3 please.

#3 - 03/07/2017 07:03 AM - Jim Pingle

- Status changed from New to Feedback

#4 - 03/07/2017 07:13 AM - Andy Kniveton

Still seerms to leave pkg_tinc in the interface groups.

Installing pfSense-pkg-tinc...

Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.

Updating pfSense repository catalogue...

pfSense repository is up-to-date.

All repositories are up-to-date.

Checking integrity... done (0 conflicting)

The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
pfSense-pkg-tinc: 1.0.28_3 [pfSense]
tinc: 1.0.29 [pfSense]

Number of packages to be installed: 2

[1/2] Installing tinc-1.0.29...

[1/2] Extracting tinc-1.0.29: ........ done

[2/2] Installing pfSense-pkg-tinc-1.0.28_3...

[2/2] Extracting pfSense-pkg-tinc-1.0.28_3: ......... done
Saving updated package information...

done.

Loading package configuration... done.

Configuring package components...

Loading package instructions...

Custom commands...

Executing custom_php_install_command()...No matching processes were found
done.

Executing custom_php_resync_config_command()...done.
Menu items... done.

Services... done.

Writing configuration... done.
https://github.com/pfsense/FreeBSD-ports/pull/317

Cleaning up cache... done.

Success

Removing pfSense-pkg-tinc...

Checking integrity... done (0 conflicting)

Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
pfSense-pkg-tinc-1.0.28_3

Number of packages to be removed: 1

[1/1] Deinstalling pfSense-pkg-tinc-1.0.28_3...
Removing tinc components...

Menu items... done.

Services... done.

Loading package instructions...

Syslog entries... done.

[1/1] Deleting files for pfSense-pkg-tinc-1.0.28_3: ......... done
Removing tinc components...

Syslog entries... done.

Configuration... done.

Removing stale packages... done.

Success

#5 - 03/07/2017 08:03 AM - Kill Bill

Tough cookies, not a package bug.
#6 - 03/14/2017 02:02 PM - Jim Thompson

- Assignee set to Jim Pingle

Assigned to Pingle for tracking.

#7 - 03/16/2017 10:59 AM - Jim Pingle
- Status changed from Feedback to Rejected

The code in the package is OK. Real problem is here: #7401
